using FruitBank.Common.Entities;
using Nop.Web.Framework.Models;
using Nop.Web.Framework.Mvc.ModelBinding;

namespace Nop.Plugin.Misc.FruitBankPlugin.Areas.Admin.Models
{
    public record ShippingListModel : BaseNopModel
    {
        public ShippingListModel()
        {
            ShippingList = new List<Shipping>();
        }

        public List<Shipping> ShippingList { get; set; }

        // Search filters
        [NopResourceDisplayName("Admin.FruitBankPlugin.Shipping.SearchLicencePlate")]
        public string SearchLicencePlate { get; set; } = string.Empty;

        [NopResourceDisplayName("Admin.FruitBankPlugin.Shipping.SearchDateFrom")]
        public DateTime? SearchDateFrom { get; set; }

        [NopResourceDisplayName("Admin.FruitBankPlugin.Shipping.SearchDateTo")]
        public DateTime? SearchDateTo { get; set; }

        [NopResourceDisplayName("Admin.FruitBankPlugin.Shipping.SearchPartnerId")]
        public int SearchPartnerId { get; set; }

        [NopResourceDisplayName("Admin.FruitBankPlugin.Shipping.SearchIsAllMeasured")]
        public int SearchIsAllMeasured { get; set; } // 0 = All, 1 = Yes, 2 = No
    }
}